Subject: [PATCH] oprofile, x86: fix init_sysfs error handling

From: [email-masked] (Robert Richter)
Date: Tue, 31 Aug 2010 12:30:01 +0200

On 31.08.10 05:31:29, Will Deacon wrote:
> > For x86 wont change the code (actually I found a bug in the init_sysfs
> > error handler for which I will send a fix). Just wanted to get your
> > confirmation in case I was missing something that x86 is not affected.
> > I will apply the first 2 patches, no need to resubmit.

This is the patch, applied to:

 git://git.kernel.org/pub/scm/linux/kernel/git/rric/oprofile.git urgent

-Robert

--